<?xml version="1.0" encoding="UTF-8"?>
<!--
Bohemian theme for Kopete
Copyright (C) 2005  Nicolas Moreau <nmoreau@stricto-sensu.net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<!--<xsl:param name="appdata"/>
	<xsl:variable name="image-location"><xsl:value-of select="$appdata"/>/Bohemian/</xsl:variable>-->
	<xsl:template match="message">
		<div class="KopeteMessage" style="padding-bottom:5px;">
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>
			</xsl:attribute>
			
			
				<xsl:choose>
					<!-- Incoming -->
					<xsl:when test="@direction='0'"> 
					<div class="message" style="background:#CBD5FF url(/usr/share/apps/kopete/styles/data/Bohemian/corner-tl.png) no-repeat top left;">
						<div style="padding-left:10px;
						            padding-top:3px;
							    font-size:smaller;
							    font-weight:bold;
							    color:#30536C;
							    background:url(/usr/share/apps/kopete/styles/data/Bohemian/corner-tr.png) no-repeat top right;
							    margin-bottom:5px;
							    ">
							
							
							<span class="name">
							<xsl:attribute name="style">	
								<xsl:text>
								padding-left:20px;
								background: url(/usr/share/apps/kopete/styles/data/Bohemian/kuser.png) no-repeat 0% 48%;
								</xsl:text>		
								<xsl:if test="@importance='2'">
									<xsl:text>
									background: url(/usr/share/apps/kopete/styles/data/Bohemian/important.png) no-repeat 0% </xsl:text>
								</xsl:if>
							</xsl:attribute>
								<kopete-i18n>%FROM_METACONTACT_DISPLAYNAME%</kopete-i18n>
							</span>
							
							<span class="time" style="text-align:right;
							                          float:right;
										  color:#868686;
										  margin-right:6px;
										padding-right:20px;
										background:url(/usr/share/apps/kopete/styles/data/Bohemian/clock.png) no-repeat 100% 52%;
										font-weight:normal;">
								<xsl:value-of select="@time"/>
							</span>
						</div>
						<div style="background:url(/usr/share/apps/kopete/styles/data/Bohemian/corner-br.png) no-repeat bottom right;padding-bottom:8px;">
							<xsl:attribute name="dir">
								<xsl:value-of select="body/@dir"/>
							</xsl:attribute>
							<!--<xsl:if test="@importance='2'">
								<xsl:attribute name="class"><xsl:text>highlight</xsl:text></xsl:attribute>
							</xsl:if>-->
							<div>
								 <xsl:attribute name="style">
								   <xsl:text>
								    background:#DAE2FF url(/usr/share/apps/kopete/styles/data/Bohemian/grad.png) repeat-y right top;
							            margin:0 8px;
								    padding:3px;
								   </xsl:text>
								   <xsl:if test="body/@color">
									<xsl:text>color:</xsl:text><xsl:value-of select="body/@color"/><xsl:text>;</xsl:text>
								</xsl:if><xsl:if test="body/@bgcolor">
									<xsl:text>background-color:</xsl:text><xsl:value-of select="body/@bgcolor"/>
								</xsl:if><xsl:if test="body/@font">
									<xsl:text>; </xsl:text><xsl:value-of select="body/@font"/>
								</xsl:if>
								<xsl:if test="@importance='2'">
									<xsl:text>font-weight:bold;</xsl:text>
								</xsl:if>
								</xsl:attribute>
								<xsl:value-of disable-output-escaping="yes" select="body"/>
							</div>
						</div>
					</div>	
					</xsl:when>
					
					<!-- Outgoing -->
					<xsl:when test="@direction='1'"> 
						<div class="message" style="background:#E1E1E1 url(/usr/share/apps/kopete/styles/data/Bohemian/corner-tl.png) no-repeat top left;">
						<div style="padding-left:10px;
						            padding-top:3px;
							    font-size:smaller;
							    font-weight:bold;
							    color:#575757;
							    background:url(/usr/share/apps/kopete/styles/data/Bohemian/corner-tr.png) no-repeat top right;
							    margin-bottom:5px;
							    ">
							
							
							<span class="name" style="background: url(/usr/share/apps/kopete/styles/data/Bohemian/outbox.png) no-repeat 0% 48%;
							                          padding-left:20px;">
								<kopete-i18n>%FROM_METACONTACT_DISPLAYNAME%</kopete-i18n>
							</span>
							
							<span class="time" style="text-align:right;
							                          float:right;
										  color:#868686;
										  margin-right:6px;
										padding-right:20px;
										background:url(/usr/share/apps/kopete/styles/data/Bohemian/clock.png) no-repeat 100% 52%;
										font-weight:normal;">
								<xsl:value-of select="@time"/>
							</span>
						</div>
						<div style="background:url(/usr/share/apps/kopete/styles/data/Bohemian/corner-bl.png) no-repeat bottom left;padding-bottom:8px;">
							<xsl:attribute name="dir">
								<xsl:value-of select="body/@dir"/>
							</xsl:attribute>
							
							<!--<xsl:if test="@importance='2'">
								<xsl:attribute name="class"><xsl:text>highlight</xsl:text></xsl:attribute>
							</xsl:if>-->
							<div>
								 <xsl:attribute name="style">
								   <xsl:text>
								    background:#F2F2F2 url(/usr/share/apps/kopete/styles/data/Bohemian/grad2.png) repeat-y right top;
							            margin:0 8px;
								    padding:3px;
								    /*text-align:right;
								    padding-right:20px;*/
								   </xsl:text>
								   <xsl:if test="body/@color">
									<xsl:text>color:</xsl:text><xsl:value-of select="body/@color"/><xsl:text>;</xsl:text>
								</xsl:if><xsl:if test="body/@bgcolor">
									<xsl:text>background-color:</xsl:text><xsl:value-of select="body/@bgcolor"/>
								</xsl:if><xsl:if test="body/@font">
									<xsl:text>; </xsl:text><xsl:value-of select="body/@font"/>
								</xsl:if>
								<xsl:if test="@importance='2'">
									<xsl:text>font-weight:bold;</xsl:text>
								</xsl:if>
								</xsl:attribute>
								<xsl:value-of disable-output-escaping="yes" select="body"/>
							</div>
						</div>
					</div>	
						
						
					</xsl:when>
					
					<!-- System message -->
					
					<xsl:when test="@direction='2'"> 
						<div class="system_message" style="font-size:smaller;margin-left:10px;background: url(/usr/share/apps/kopete/styles/data/Bohemian/system.png) no-repeat 0% 50%;
						                                   padding-left:20px;
										border-bottom:1px solid #ccc;
										color:#30536C;">
							<xsl:value-of disable-output-escaping="yes" select="body"/>
							<div class="time" style="text-align:right;
							                          float:right;
										  color:#868686;
										  margin-right:6px;
										padding-right:20px;
										background:url(/usr/share/apps/kopete/styles/data/Bohemian/clock.png) no-repeat 100% 52%;
										font-size:smaller;">
								<xsl:value-of select="@time"/>
							</div>
						</div>
					</xsl:when>
					
					<!-- Action -->
					<xsl:when test="@direction='3'"> 
						<div class="system_message" style="font-size:smaller;margin-left:10px;background: url(/usr/share/apps/kopete/styles/data/Bohemian/button_ok.png) no-repeat 0% 50%;
						                                   padding-left:20px;
										border-bottom:1px solid #ccc;
										color:#30536C;">
							<kopete-i18n>%FROM_METACONTACT_DISPLAYNAME% </kopete-i18n>
							<xsl:text> </xsl:text>
							<xsl:value-of disable-output-escaping="yes" select="body"/>
							<div class="time" style="text-align:right;
							                          float:right;
										  color:#868686;
										  margin-right:6px;
										padding-right:20px;
										background:url(/usr/share/apps/kopete/styles/data/Bohemian/clock.png) no-repeat 100% 52%;
										font-size:smaller;">
								<xsl:value-of select="@time"/>
							</div>
						</div>
					</xsl:when>
				</xsl:choose>
		</div>
	</xsl:template>
</xsl:stylesheet>

